Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.jrmp.interfaces
Class JRMPInvokerProxy

    java.lang.Object
      org.jboss.invocation.jrmp.interfaces.JRMPInvokerProxy

All Implemented Interfaces:
  Externalizable, Invoker, Remote, Serializable

public class JRMPInvokerProxy
extends Object
implements Invoker, Externalizable

JRMPInvokerProxy, local to the proxy and is capable of delegating to the JRMP implementations

Version:
  $Revision: 1.17 $
Author:
  Marc Fleury, Scott Stark
See Also:
  Serialized Form

Field Summary
`static int` | `MAX_RETRIES` max retries on a ConnectException.
`protected Invoker` | `remoteInvoker`

Fields inherited from interface org.jboss.invocation.Invoker
`ID`

Constructor Summary
`JRMPInvokerProxy()` Exposed for externalization.
`JRMPInvokerProxy(Invoker remoteInvoker)` Create a new Proxy.

Method Summary
`String` | `getServerHostName()` The name of of the server.
`Object` | `getTransactionPropagationContext()` ???
`Object` | `invoke(Invocation invocation)` The invocation on the delegate, calls the right invoker.
`void` | `readExternal(ObjectInput in)` Un-externalize this instance.
`void` | `writeExternal(ObjectOutput out)` Externalize this instance and handle obtaining the remoteInvoker stub

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### remoteInvoker

    protected Invoker remoteInvoker

### MAX_RETRIES

    public static int MAX_RETRIES

  max retries on a ConnectException.

Constructor Detail

### JRMPInvokerProxy

    public JRMPInvokerProxy()

  Exposed for externalization.

### JRMPInvokerProxy

    public JRMPInvokerProxy(Invoker remoteInvoker)

  Create a new Proxy.

Method Detail

### getServerHostName

    public String getServerHostName()
                             throws Exception

  The name of of the server.

  Specified by:
    `getServerHostName` in interface `Invoker`
  Throws:
    `Exception`

### getTransactionPropagationContext

    public Object getTransactionPropagationContext()
                                            throws SystemException

  ???

  Returns:
    the transaction propagation context of the transaction associated with the current thread. Returns `null` if the transaction manager was never set, or if no transaction is associated with the current thread.
  Throws:
    `SystemException`

### invoke

    public Object invoke(Invocation invocation)
                  throws Exception

  The invocation on the delegate, calls the right invoker. Remote if we are remote, local if we are local.

  Specified by:
    `invoke` in interface `Invoker`
  Parameters:
    `invocation` - A pointer to the invocation object
  Returns:
    Return value of method invocation.
  Throws:
    `Exception` - Failed to invoke method.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Externalize this instance and handle obtaining the remoteInvoker stub

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Un-externalize this instance.

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.